#!/bin/bash
#build java
mvn package
if [ "$?" -ne "0" ]; then
	echo "Error"
	exit 1
fi

#build cpp
rm target/*.so
make -j1 all #that makefile is not paralllizable
if [ "$?" -ne "0" ]; then
	echo "Error"
	exit 1
fi
# sudo make install # or create a link to this lib once with: sudo ln -s $(realpath target/libplugin.so) /usr/lib

#build and install all testplugins
make installplugins

#prepare server
cp target/Cppplugin-0.1-SNAPSHOT-final.jar testserver/plugins/

#start server
cd testserver
java -jar spigot-1.12.2.jar
