#include "plugin.h"

#include <iostream>
#include <string>
#include <map>

using namespace Plugin;

extern "C" {

class SimplePlugin : public CppPlugin {
public:
	virtual void onLoad(JNIEnv*);
	virtual void onEnable(JNIEnv*);
	virtual void onDisable(JNIEnv*);
	//virtual std::map<std::string, eventfptr> getEvents();
};

void SimplePlugin::onLoad(JNIEnv*) {
	log("SimplePLugin::onLoad();");
}

void SimplePlugin::onEnable(JNIEnv*) {
	log("SimplePLugin::onEnable();");
}

void SimplePlugin::onDisable(JNIEnv*) {
	log("SimplePLugin::onDisable();");
}

CppPlugin* init() {
	return new SimplePlugin();
}

}//extern "C"