#!/bin/sh
#This script basicly just downloads spigot and sets it up as a testserver

server="testserver/"
buildtools="${server}buildtools/"
mcvers="1.12.2"

mkdir -p "$server" "${buildtools}"
oldpwd=$(dirname $(realpath $0))
cd "$buildtools"
wget -nc https://hub.spigotmc.org/jenkins/job/BuildTools/lastStableBuild/artifact/target/BuildTools.jar
java -jar BuildTools.jar --compile SPIGOT --rev "$mcvers"

cd "${oldpwd}"

cp "${buildtools}spigot-${mcvers}.jar" "${server}"
echo "eula=true" > "${server}eula.txt"

printf "\n\n\n\n"
echo "server installed into: ${server}"

echo "delete ${buildtools} ?"
rm -frI "${buildtools}"
